Bug 1456797 - CVE-2016-10377 CVE-2017-9214 CVE-2017-9263 CVE-2017-9264 CVE-2017-9265 openvswitch: various flaws [fedora-all]
Summary: CVE-2016-10377 CVE-2017-9214 CVE-2017-9263 CVE-2017-9264 CVE-2017-9265 openvs...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openvswitch
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Timothy Redaelli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-10377 CVE-2017-9214 CVE-2017-9263 CVE-2017-9264 CVE-2017-9265
TreeView+ depends on / blocked
 
Reported: 2017-05-30 11:49 UTC by Andrej Nemec
Modified: 2019-04-10 14:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-10 14:39:17 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-05-30 11:49:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-05-30 11:49:20 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1456795

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Andrej Nemec 2017-05-31 14:25:22 UTC
Adding parent bug 1457325 (for CVE-2016-10377).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1456797,1456795,1457325

# Description of your update
notes=Security fix for CVE-2017-9214, CVE-2016-10377

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 3 Andrej Nemec 2017-05-31 14:25:51 UTC
Adding parent bug 1457327 (for CVE-2017-9263).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1456797,1456795,1457325,1457327

# Description of your update
notes=Security fix for CVE-2017-9214, CVE-2016-10377, CVE-2017-9263

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 4 Andrej Nemec 2017-05-31 14:26:17 UTC
Adding parent bug 1457329 (for CVE-2017-9264).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1456797,1456795,1457325,1457327,1457329

# Description of your update
notes=Security fix for CVE-2017-9214, CVE-2016-10377, CVE-2017-9263, CVE-2017-9264

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 5 Andrej Nemec 2017-05-31 14:26:42 UTC
Adding parent bug 1457335 (for CVE-2017-9265).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1456797,1456795,1457325,1457327,1457329,1457335

# Description of your update
notes=Security fix for CVE-2017-9214, CVE-2016-10377, CVE-2017-9263, CVE-2017-9264, CVE-2017-9265

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 6 Alan Pevec 2017-10-04 19:21:55 UTC
Backports for CVE-2017-9263 CVE-2017-9265 were included in openvswitch-2.7.1-2.fc26

Comment 7 Fedora End Of Life 2017-11-16 19:09:40 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Timothy Redaelli 2019-04-10 14:39:17 UTC
Closing since NO supported Fedora versions ship vulnerabile openvswitch version


Note You need to log in before you can comment on or make changes to this bug.